kb
Read structured walkthrough steps and short-lived media URLs.
Read structured walkthrough steps and short-lived media URLs.
OpenAPI specificationPOST
/api/v1/kb/walkthrough-readAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/kb/walkthrough-read' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"jobId": "<jobId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"jobId": {
"type": "string"
}
},
"required": [
"jobId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"jobId": {
"type": "string"
},
"itemId": {
"type": "string"
},
"filename": {
"type": "string"
},
"importStatus": {
"type": "string",
"enum": [
"FAILED",
"PROCESSING",
"READY"
]
},
"importError": {
"type": "string",
"nullable": true
},
"state": {
"type": "string",
"enum": [
"FAILED",
"PROCESSING",
"READY"
]
},
"generationError": {
"type": "string",
"nullable": true
},
"sourceVideoUrl": {
"type": "string",
"nullable": true
},
"walkthrough": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"aspectRatio": {
"type": "number"
},
"frameWidth": {
"type": "number"
},
"steps": {
"type": "array",
"items": {
"type": "object",
"properties": {
"step": {
"type": "number"
},
"type": {
"type": "string",
"enum": [
"type",
"select",
"click",
"scroll",
"drag",
"hover",
"navigate",
"modal_open",
"modal_close"
]
},
"t": {
"type": "number",
"nullable": true
},
"tStart": {
"type": "number",
"nullable": true
},
"tEnd": {
"type": "number",
"nullable": true
},
"frameKey": {
"type": "string"
},
"box_2d": {
"type": "array",
"items": {
"type": "number"
},
"minItems": 4,
"maxItems": 4
},
"point": {
"type": "array",
"items": {
"type": "number"
},
"minItems": 2,
"maxItems": 2
},
"zoom_box": {
"type": "array",
"items": {
"type": "number"
},
"minItems": 4,
"maxItems": 4
},
"target_label": {
"type": "string"
},
"what_changed": {
"type": "string"
},
"caption": {
"type": "string"
},
"chapter": {
"type": "string"
},
"endFrameKey": {
"type": "string",
"nullable": true
}
},
"required": [
"step",
"type",
"t",
"tStart",
"tEnd",
"frameKey",
"box_2d",
"point",
"zoom_box",
"target_label",
"what_changed",
"caption",
"chapter"
]
}
},
"sourceVideoKey": {
"type": "string",
"nullable": true
},
"sourceMaterialId": {
"type": "string",
"nullable": true
},
"generationStep": {
"type": "string",
"nullable": true
},
"generationError": {
"type": "string",
"nullable": true
}
},
"required": [
"title",
"description",
"aspectRatio",
"frameWidth",
"steps"
],
"nullable": true
},
"frames": {
"type": "array",
"items": {
"type": "object",
"properties": {
"index": {
"type": "number"
},
"step": {
"type": "number"
},
"frameUrl": {
"type": "string"
},
"endFrameUrl": {
"type": "string",
"nullable": true
}
},
"required": [
"index",
"step",
"frameUrl",
"endFrameUrl"
]
}
}
},
"required": [
"jobId",
"itemId",
"filename",
"importStatus",
"importError",
"state",
"generationError",
"sourceVideoUrl",
"walkthrough",
"frames"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}